{ jIDEE : Java IDE for Education

  Copyright (C) 2010 Mithat Konar mkonar@dogus.edu.tr

  This source is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 3 of the License, or (at your option)
  any later version.

  This code is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  A copy of the GNU General Public License is available on the World Wide Web
  at <http://www.gnu.org/copyleft/gpl.html>. You can also obtain it by writing
  to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
  MA 02111-1307, USA.
}

program jidee;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms, main, LResources, miscutils, UAboutForm, OpenURLUtil, UCompilerResultsForm,
  {$IFDEF MSWINDOWS}
  UPreferencesForm_Win;
  {$ELSE}
  {$IFDEF DARWIN}
  UPreferencesForm_OSX;
  {$ELSE}
  {$IFDEF UNIX}
  UPreferencesForm_Linux;
  {$ENDIF}
  {$ENDIF}
  {$ENDIF}

{$IFDEF WINDOWS}{$R jidee.rc}{$ENDIF}

begin
  Application.Title:='jIDEE';
  {$I jidee.lrs}
  Application.Initialize;
  Application.ShowButtonGlyphs:=sbgSystem;
  Application.ShowMenuGlyphs:=sbgSystem;
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TAboutForm, AboutForm);
  Application.CreateForm(TPreferencesForm, PreferencesForm);
  Application.CreateForm(TCompilerResultsForm, CompilerResultsForm);
  Application.Run;
end.

